org.apache.cayenne.reflect

## Class MapAccessor

- java.lang.Object
- - org.apache.cayenne.reflect.MapAccessor

- All Implemented Interfaces:
    Serializable, Accessor

      public class MapAccessor
      extends Object
      implements Accessor

  Since:
    4.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapAccessor(String propertyName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Returns property name.
    `Object` | `getValue(Object object)` Returns a property value of an object without disturbing the object fault status.
    `void` | `setValue(Object object, Object newValue)` Sets a property value of an object without disturbing the object fault status.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapAccessor

          public MapAccessor(String propertyName)

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `Accessor`
      Returns property name.
      Specified by:
        `getName` in interface `Accessor`

    - #### getValue

          public Object getValue(Object object)

      Description copied from interface: `Accessor`
      Returns a property value of an object without disturbing the object fault status.
      Specified by:
        `getValue` in interface `Accessor`

    - #### setValue

          public void setValue(Object object,
                               Object newValue)

      Description copied from interface: `Accessor`
      Sets a property value of an object without disturbing the object fault status. Old value of the property is specified as a hint.
      Specified by:
        `setValue` in interface `Accessor`

Copyright © 2001–2021 Apache Cayenne. All rights reserved.